
From: Pat Gefre <pfg@sgi.com>

Fixes for shuberror.c



---

 25-akpm/arch/ia64/sn/io/sn2/shuberror.c |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

diff -puN arch/ia64/sn/io/sn2/shuberror.c~sn43 arch/ia64/sn/io/sn2/shuberror.c
--- 25/arch/ia64/sn/io/sn2/shuberror.c~sn43	Thu Jan  8 15:25:15 2004
+++ 25-akpm/arch/ia64/sn/io/sn2/shuberror.c	Thu Jan  8 15:25:15 2004
@@ -29,6 +29,7 @@
 #include <asm/sn/ioerror_handling.h>
 #include <asm/sn/ioerror.h>
 #include <asm/sn/sn2/shubio.h>
+#include <asm/sn/sn2/shub_mmr.h>
 #include <asm/sn/bte.h>
 
 extern void hubni_eint_init(cnodeid_t cnode);
@@ -171,7 +172,6 @@ hubii_eint_handler (int irq, void *arg, 
     hubinfo_t		hinfo; 
     ii_wstat_u_t	wstat;
     hubreg_t		idsr;
-    ii_ilcsr_u_t	ilcsr;
 
 
     /* two levels of casting avoids compiler warning.!! */
@@ -226,11 +226,9 @@ hubii_eint_handler (int irq, void *arg, 
 	
 	}
 	/*
-	 * Note: we may never be able to print this, if the II talking
-	 * to Xbow which hosts the console is dead. 
+	 * Only print the II_ECRAZY message if there is an attached xbow.
 	 */
-	ilcsr.ii_ilcsr_regval = REMOTE_HUB_L(hinfo->h_nasid, IIO_ILCSR);
-	if (ilcsr.ii_ilcsr_fld_s.i_llp_en == 1) {	/* Link is enabled */
+	if (NODEPDA(hinfo->h_cnodeid)->xbow_vhdl != 0) {
 	    printk("Hub %d, cnode %d to Xtalk Link failed (II_ECRAZY) Reason: %s", 
 		hinfo->h_nasid, hinfo->h_cnodeid, reason);
 	}

_
